Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.LanguageInfo< T > Class Template Reference

Represents a collection of information required to analyze a language with Mercury Mercury.Analyser{T,TValue}. More...

## Public Member Functions
| LanguageInfo (string name, ITokenizer tokenizer, IScanner scanner, Grammar grammar, RewriteRuleCollection< T > rwrules)
| Initializes a new instance of the LanguageInfo{T} class. More...

## Properties
ITokenizer | Tokenizer`[get, set]`
| Gets the tokenizer. More...
IScanner | Scanner`[get, set]`
| Gets the scanner. More...
Grammar | Grammar`[get, set]`
| Gets the grammar. More...
RewriteRuleCollection< T > | RewriteRules`[get, set]`
| Gets the rewrite rules. More...
string | Name`[get, set]`
| Gets the name of the language. More...

## Detailed Description

Represents a collection of information required to analyze a language with Mercury Mercury.Analyser{T,TValue}.

Template Parameters

  T | Interpretation result type

Type Constraints

  T | : | class |

Definition at line 13 of file LanguageInfo.cs.

## Constructor & Destructor Documentation

Mercury.LanguageInfo< T >.LanguageInfo | ( | string | name,
|  | ITokenizer | tokenizer,
|  | IScanner | scanner,
|  | Grammar | grammar,
|  | RewriteRuleCollection< T > | rwrules
| ) |  |

Initializes a new instance of the LanguageInfo{T} class.

Parameters

  name | The name of the language.
  tokenizer | The tokenizer.
  scanner | The scanner.
  grammar | The grammar.
  rwrules | The rewrite rules.

Exceptions

  System.ArgumentException | Name is not valid

Definition at line 27 of file LanguageInfo.cs.

## Property Documentation

Grammar Mercury.LanguageInfo< T >.Grammar
| get set

Gets the grammar.

Definition at line 49 of file LanguageInfo.cs.

string Mercury.LanguageInfo< T >.Name
| get set

Gets the name of the language.

Definition at line 55 of file LanguageInfo.cs.

RewriteRuleCollection<T> Mercury.LanguageInfo< T >.RewriteRules
| get set

Gets the rewrite rules.

Definition at line 52 of file LanguageInfo.cs.

IScanner Mercury.LanguageInfo< T >.Scanner
| get set

Gets the scanner.

Definition at line 46 of file LanguageInfo.cs.

ITokenizer Mercury.LanguageInfo< T >.Tokenizer
| get set

Gets the tokenizer.

Definition at line 43 of file LanguageInfo.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/LanguageInfo.cs